rss-email(1)

# NAME

rss-email - Fetch new RSS/Atom feed items and send them via email

# SYNOPSIS

*rss-email* [OPTIONS]

# DESCRIPTION

*rss-email* fetches a list of RSS/Atom feeds, saves the items in a database and
sends new feeds via email.

A custom path for the configuration, database or URLs file can be specified via
the commandline.

The database used is *sqlite3*.

## OPTIONS

The following options are recognized by *rss-email*:

*--config* _path_
	Specifies a custom configuration to be used instead of the default one at
	*$XDG_CONFIG_HOME/rss-email/config.toml*

*--database* _path_
	Specifies a custom database to be used instead of the default one at
	*$XDG_DATA_HOME/rss-email/cache.db*

*--dry-run*
	Don't send any emails, just fetch new feed items and mark them as read

*--no-fetch*
	Don't fetch any new feed items, just send emails of unsent posts

*--urls* _path_
	Specifies a custom urls file to be used instead of the default one at
	*$XDG_CONFIG_HOME/rss-email/urls*

*-v*
	Be verbose. Set multiple times to increase verbosity.

*-h*, *--help*
	Print help information

*-V*, *--version*
	Print version information

The following options override the fields from the configuration file:

*--mail-from* _from_
	Email "From" header

*--mail-to* _to_
	Email "To" header

*--smtp-password* _password_
	SMTP password

*--smtp-port* _port_
	SMTP server port

*--smtp-server* _server_
	SMTP server

*--smtp-user* _user_
	SMTP user

If all of these options are given, no configuration file will be read, and thus
no configuration file is necessary. Missing options will be read from the
configuration file.

# SEE ALSO

*rss-email*(5)

# AUTHORS

Maintained by witcher <witcher@wiredspace.de>. Up-to-date source code can be
found at https://sr.ht/~witcher/rss-email/, and bugs/patches can be submitted by
email to ~witcher/rss-email-devel@lists.sr.ht.
