rss-email(5)

# NAME

rss-email - Configuration file

# DESCRIPTION

There exist 2 configuration files for *rss-email*(1):

- *config.toml*, referred to as "configuration file"
- *urls*, referred to as "URLs file"

Both files can be found in *$XDG_CONFIG_HOME/rss-email/*, but alternative
files in potentially different directories can be specified as command line
arguments to *rss-email*(1).

# Configuration file

The configuration file contains all necessary configuration to
send an email.

## Mail section

The mail section of the configuration file defines 2 attributes:

- *from*: String
- *to*: String

They must be valid email addresses and will be used as the *From* and *To*
header respectively.

## SMTP section

This section, defined as *smtp*, contains the necessary SMTP configuration for
sending emails. The following attributes exist:

- *user*: String
- *password*: String
- *server*: String
- *port*: Int

*user* and *password* define the username and password used to authenticate with
SMTP. *server* and *port* define the server and port of the SMTP server that
should be used.

Note that it is currently not possible to specify a password in any other way
than with the *password* attribute, meaning it has to be saved in plain-text.

# URLs file

The URLs file is a list of URLs with RSS/Atom feeds separated by newlines.

Comments are supported only at the beginning of a line and are specified with
*#*. If a line starts with the comment character it will be ignored completely.

# SEE ALSO

*rss-email*(1)

# AUTHORS

Maintained by witcher <witcher@wiredspace.de>. Up-to-date source code can be
found at https://sr.ht/~witcher/rss-email/, and bugs/patches can be submitted by
email to ~witcher/rss-email-devel@lists.sr.ht.
